<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
IGAC proyecto SNC
@author 		fabio.navarrete
@version 		2.0
@description	Datos referentes al trámite de avalúos.
@cu 			CU-CO-R-01
@param			selectedTramiteParam: trámite seleccionado
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <p:separator rendered="#{selectedTramiteParam.tramiteDeAutoavaluo}" />
    <h:panelGrid columns="6">

        <h:panelGrid columns="2">
            <h:outputLabel value="Área terreno: " styleClass="outputLabelStyle"
                           for="areaTerrenoAutoavaluo" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" rendered="#{managedBeanParam.obligatoriaAreaTerreno}"/>
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText value="#{selectedTramiteParam.areaTerreno}"
                         styleClass="outputTextStyle" id="areaTerrenoAutoavaluo"
                         label="Area terreno" />
            <p:message for="areaTerrenoAutoavaluo" display="icon" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Área construcción: "
                           for="areaConstruccionAutoavaluo" styleClass="outputLabelStyle" />
            <h:outputLabel value="" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText value="#{selectedTramiteParam.areaConstruccion}"
                         styleClass="outputTextStyle" id="areaConstruccionAutoavaluo"
                         label="Area construcción" >				
            </h:inputText>
            <p:message for="areaConstruccionAutoavaluo" display="icon" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Auto estimación terreno: "
                           for="autoavaluoTerrenoAutoavaluo" styleClass="outputLabelStyle" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" rendered="#{managedBeanParam.obligatoriaAreaTerreno}"/>
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText value="#{selectedTramiteParam.autoavaluoTerreno}"
                         styleClass="outputTextStyle" id="autoavaluoTerrenoAutoavaluo"
                         label="Auto estimación terreno" >
                <f:convertNumber type="number" />
                <p:ajax event="blur" process="@this" update=":nuevoTramiteSolForm:sumAvaluo"/>
            </h:inputText>
            <p:message for="autoavaluoTerrenoAutoavaluo" display="icon" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Auto estimación edificaciones: "
                           for="autoavaluoConstruccionAutoavaluo" styleClass="outputLabelStyle" />
            <h:outputLabel value="" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText value="#{selectedTramiteParam.autoavaluoConstruccion}"
                         styleClass="outputTextStyle" id="autoavaluoConstruccionAutoavaluo"
                         label="Auto estimación edificaciones" >
                <f:convertNumber type="number" />
                <p:ajax event="blur" process="@this" update=":nuevoTramiteSolForm:sumAvaluo"/>
            </h:inputText>
            <p:message for="autoavaluoConstruccionAutoavaluo" display="icon" />
        </h:panelGrid>

        <h:panelGrid columns="2">
            <h:outputLabel value="Dirección:" styleClass="outputLabelStyle"
                           rendered="#{!selectedTramiteParam.tramiteRural}" />
            <h:outputLabel value="Nombre:" styleClass="outputLabelStyle"
                           rendered="#{selectedTramiteParam.tramiteRural}" />
            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
        </h:panelGrid>
        <h:panelGrid columns="2">
            <h:inputText value="#{selectedTramiteParam.ubicacionPredio}" required="true" label="#{!selectedTramiteParam.tramiteRural?'Dirección':'Nombre'}"
                         styleClass="outputTextStyle" id="ubicacionAutoavaluo" />
            <p:message for="ubicacionAutoavaluo" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Tipo avalúo:" styleClass="outputLabelStyle" 
                       rendered="#{!(managedBeanParam.tipoAvaluoSeleccionado eq null)}"/>
        <h:panelGrid rendered="#{!(managedBeanParam.tipoAvaluoSeleccionado eq null)}">
            <h:outputText value=" #{managedBeanParam.tipoAvaluoSeleccionado}"
                          styleClass="outputTextStyle" />
        </h:panelGrid>

        <h:outputLabel value="Avalúo Total:" styleClass="outputLabelStyle"/>
        <h:panelGrid columns="2">
            <h:outputLabel value="$" styleClass="outputLabelStyle"/>
            <h:outputLabel id="sumAvaluo" styleClass="outputLabelStyle"
                           value="#{selectedTramiteParam.autoavaluoTerreno + selectedTramiteParam.autoavaluoConstruccion}">
                <f:convertNumber type="number" />
            </h:outputLabel>
        </h:panelGrid>

    </h:panelGrid>

    <h:panelGrid columns="2">
        <h:outputLabel value="Resumen:" styleClass="outputLabelStyle" />
        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
    </h:panelGrid>
    <h:panelGrid columns="2">
        <h:inputTextarea value="#{selectedTramiteParam.resumen}" required="true"
                         onkeydown="controlarNroChars(this, 600, true)"
                         onkeyup="controlarNroChars(this, 600, true)"
                         styleClass="outputTextStyle" id="resumenAutoavaluo" cols="100" label="Resumen"
                         rows="2" />
        <p:message for="resumenAutoavaluo" display="icon" />
    </h:panelGrid>
</h:panelGrid>